Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFGraphicFrame

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFGraphicFrame

Direct Known Subclasses:
  XSLFTable

    public class XSLFGraphicFrame

extends XSLFShape

Author:
  Yegor Kozlov

Method Summary
`void` | `draw(java.awt.Graphics2D graphics)` Draw this shape into the supplied canvas
`java.awt.geom.Rectangle2D` | `getAnchor()`
`boolean` | `getFlipHorizontal()` Whether the shape is horizontally flipped
`boolean` | `getFlipVertical()` Whether the shape is vertically flipped
`double` | `getRotation()` Rotation angle in degrees
`int` | `getShapeId()` Returns a unique identifier for this shape within the current document.
`java.lang.String` | `getShapeName()`
`int` | `getShapeType()`
`XSLFSheet` | `getSheet()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`void` | `setAnchor(java.awt.geom.Rectangle2D anchor)`
`void` | `setFlipHorizontal(boolean flip)`
`void` | `setFlipVertical(boolean flip)` Whether the shape is vertically flipped
`void` | `setRotation(double theta)` Rotate this shape.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFShape`
  Returns:
    the xml bean holding this shape's data

### getSheet

    public XSLFSheet getSheet()

### getShapeType

    public int getShapeType()

### getShapeId

    public int getShapeId()

  Description copied from class: `XSLFShape`
  Returns a unique identifier for this shape within the current document. This ID may be used to assist in uniquely identifying this object so that it can be referred to by other parts of the document.

  If multiple objects within the same document share the same id attribute value, then the document shall be considered non-conformant.

  Specified by:
    `getShapeId` in class `XSLFShape`
  Returns:
    unique id of this shape

### getShapeName

    public java.lang.String getShapeName()

  Specified by:
    `getShapeName` in class `XSLFShape`
  Returns:
    human-readable name of this shape, e.g. "Rectange 3"

### getAnchor

    public java.awt.geom.Rectangle2D getAnchor()

  Specified by:
    `getAnchor` in class `XSLFShape`
  Returns:
    the position of this shape within the drawing canvas. The coordinates are expressed in points

### setAnchor

    public void setAnchor(java.awt.geom.Rectangle2D anchor)

  Specified by:
    `setAnchor` in class `XSLFShape`
  Parameters:
    `anchor` - the position of this shape within the drawing canvas. The coordinates are expressed in points

### setRotation

    public void setRotation(double theta)

  Rotate this shape.

  Positive angles are clockwise (i.e., towards the positive y axis); negative angles are counter-clockwise (i.e., towards the negative y axis).

  Specified by:
    `setRotation` in class `XSLFShape`
  Parameters:
    `theta` - the rotation angle in degrees.

### getRotation

    public double getRotation()

  Rotation angle in degrees

  Positive angles are clockwise (i.e., towards the positive y axis); negative angles are counter-clockwise (i.e., towards the negative y axis).

  Specified by:
    `getRotation` in class `XSLFShape`
  Returns:
    rotation angle in degrees

### setFlipHorizontal

    public void setFlipHorizontal(boolean flip)

  Specified by:
    `setFlipHorizontal` in class `XSLFShape`
  Parameters:
    `flip` - whether the shape is horizontally flipped

### setFlipVertical

    public void setFlipVertical(boolean flip)

  Description copied from class: `XSLFShape`
  Whether the shape is vertically flipped

  Specified by:
    `setFlipVertical` in class `XSLFShape`
  Parameters:
    `flip` - whether the shape is vertically flipped

### getFlipHorizontal

    public boolean getFlipHorizontal()

  Whether the shape is horizontally flipped

  Specified by:
    `getFlipHorizontal` in class `XSLFShape`
  Returns:
    whether the shape is horizontally flipped

### getFlipVertical

    public boolean getFlipVertical()

  Description copied from class: `XSLFShape`
  Whether the shape is vertically flipped

  Specified by:
    `getFlipVertical` in class `XSLFShape`
  Returns:
    whether the shape is vertically flipped

### draw

    public void draw(java.awt.Graphics2D graphics)

  Description copied from class: `XSLFShape`
  Draw this shape into the supplied canvas

  Specified by:
    `draw` in class `XSLFShape`
  Parameters:
    `graphics` - the graphics to draw into

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD